Subject: Re: bug#64073: libvirtd requires restart to function

From: Josselin Poiret <[email-masked]>
Date: Tue, 20 Jun 2023 14:21:30 +0200

Hi Christian,

Christian Miller via Bug reports for GNU Guix <[email-masked]> writes:

> I tested your patch and it works.  With the patch virt-manager does instantly connect without any manual interference.
>
> Since this is the first time I did this, just to be sure I did everything correctly, I list how I tested it.
>
> I cloned the git repository
> I created a file called libvirtd.patch with your contents
> git apply libvirtd.patch
> guix shell -D guix --pure
> ./bootstrap
> ./configure --localstatedir=/var
> make
> make check (had 2 errors, authenticate and something else)
> after that I executed "sudo -E ./pre-inst-env guix system reconfigure ~/guix/system.cm"
> I rebooted the system and launched virt-manager which directly connected.

Great!  Thanks for going the extra mile testing this, I didn't know how
familiar you were with the Guix development process.  We could also
advertise the simpler `guix time-machine` with the branches from [1],
although processing the new patch is not instantaneous (and I don't
think bug reports are scanned for patches).

In any case, I'll try to push it ASAP with some other changes!

[1] https://git.guix-patches.cbaines.net/guix-patches

Best,
-- 
Josselin Poiret